FIX: Version of R Client is incompatible with the Microsoft R server version 8.0.3

Applies to: SQL Server 2016 DeveloperSQL Server 2016 EnterpriseSQL Server 2016 Enterprise Core

Symptoms


Consider the following scenario:
  • You update your R Client to version 9.0.0.
  • You execute R scripts that use the SQL Server remote compute context against SQL Server 2016.
  • The R Server version on the server that's running SQL Server 2016 is version 8.0.3.

In this scenario, execution fails. Additionally, you receive the following error message:

You are running version 9.0.0 of Microsoft R client on your computer, which is incompatible with the Microsoft R server version 8.0.3. Download and install a compatible version.

Resolution


The fix for this issue is included in the following updates:

Status


Microsoft has confirmed that this is a problem in the Microsoft products that are listed in the "Applies to" section.

References


SQL Server R Services

Learn about the terminology  that Microsoft uses to describe software updates.